WinShopAPI docs
ReferenceCompanies

List a company's cards

Returns the loyalty and customer cards registered for the company. Their barcodes are what `POST /api/documents/pos/shopping-session/{sessionId}/scan` resolves to a customer. Requires `Permissions.Companies.View`.

GET
/api/companies/{companyId}/cards

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/companies/0/cards' \  -H 'Authorization: Bearer <access-token>'
[  {    "barcode": "string",    "companyId": 0,    "discount": 0,    "discountAmount": 0,    "discountGroupId": 0,    "guid": "string",    "id": 0,    "isBillingEnabled": true,    "isInvalid": true,    "lastModify": "2019-08-24T14:15:22Z",    "name": "string",    "note": "string",    "validFrom": "2019-08-24T14:15:22Z",    "validTo": "2019-08-24T14:15:22Z"  }]